Get Identity Verification Check
curl --request GET \
--url https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id_verification_check": {
"id": "<string>",
"identity_id": "<string>",
"verification_url": "<string>",
"reason": "ONBOARDING",
"request_id": "<string>",
"redirect_url": "<string>",
"status": "IN_PROGRESS",
"created_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"labels": [
"<string>"
]
}
}Identity Verification
Get Identity Verification Check
Get an existing identity verification check by ID.
GET
/
v2
/
identities
/
{identity_id}
/
id_verification
/
{id}
Get Identity Verification Check
Authorizations
Bearer authentication with an API token
Path Parameters
Unique identifier of the identity associated with the check
Unique identifier of the identity verification check
Response
Success
The identity verification check
Show child attributes
Show child attributes
Related topics
List Identity Verification ChecksCreate Identity Verification CheckRefresh Identity Verification Check URLIdentity verification API overviewSandbox testing and simulation labels⌘I